<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:dubbo="http://code.alibabatech.com/schema/dubbo"
       xmlns="http://www.springframework.org/schema/beans" xsi:schemaLocation="http://www.springframework.org/schema/beans
        http://www.springframework.org/schema/beans/spring-beans.xsd
        http://code.alibabatech.com/schema/dubbo
        http://code.alibabatech.com/schema/dubbo/dubbo.xsd">

    <!-- 消费方应用名，用于计算依赖关系，不是匹配条件，不要与提供方一样 -->
    <dubbo:application name="${dubbo.application.name}"/>

    <!-- 使用multicast广播注册中心暴露服务地址 -->
    <!-- 配置dubbo缓存文件路径，不能默认，若默认，多个项目的缓存路径一样，会起冲突 -->
    <dubbo:registry protocol="zookeeper" address="${dubbo.zookeeper.address}" client="zkclient"
                    file="${catalina.home}/dubbo/${dubbo.application.name}.cache"/>

    <!-- 不检查服务是否有provider，待provider启动后，会被cousumer自动发现 -->
    <dubbo:consumer check="false"/>

    <!-- 附件上传 begin -->
    <dubbo:reference id="attachmentInterface" interface="com.house365.ws.interfaces.server.IAttachmentInterface"
                     version="${dubbo.app.version}"/>
    <dubbo:reference id="attachmentTypeInterface" interface="com.house365.ws.interfaces.server.IAttachmentTypeInterface"
                     version="${dubbo.app.version}"/>
    <dubbo:reference id="attachmentRemoteUrlInterface"
                     interface="com.house365.ws.interfaces.server.IAttachmentRemoteUrlInterface"
                     version="${dubbo.app.version}"/>
    <!-- 附件上传 end -->

    <!-- 接口管理 begin -->
    <dubbo:reference id="IPlatRule" interface="com.house365.ws.interfaces.server.IPlatRule"
                     timeout="${dubbo.app.timeout}" version="${dubbo.app.version}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="ifRegInterface" interface="com.house365.ws.interfaces.server.IIfRegInterface"
                     timeout="${dubbo.app.timeout}" version="${dubbo.app.version}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="department" interface="com.house365.ws.interfaces.server.IDepartment"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="notice" interface="com.house365.ws.interfaces.server.INotice" version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="permission" interface="com.house365.ws.interfaces.server.IPermission"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="rolePermission" interface="com.house365.ws.interfaces.server.IRolePermission"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="role" interface="com.house365.ws.interfaces.server.IRole" version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="user" interface="com.house365.ws.interfaces.server.IUser" version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="userRole" interface="com.house365.ws.interfaces.server.IUserRole"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="project" interface="com.house365.ws.interfaces.server.IProject" version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="projectDynamic" interface="com.house365.ws.interfaces.server.IProjectDynamic"
                     version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="projectUser" interface="com.house365.ws.interfaces.server.IProjectUser"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="weChatPermission" interface="com.house365.ws.interfaces.server.IWeChatPermission"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>


    <dubbo:reference id="version" interface="com.house365.ws.interfaces.server.IVersion"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="customer" interface="com.house365.ws.interfaces.server.ICustomer"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="customerStatusLog" interface="com.house365.ws.interfaces.server.ICustomerStatusLog"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="customerProject" interface="com.house365.ws.interfaces.server.ICustomerProject"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="customerCallbackLog" interface="com.house365.ws.interfaces.server.ICustomerCallbackLog"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="customerCallbackTemplate"
                     interface="com.house365.ws.interfaces.server.ICustomerCallbackTemplate"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <!-- 3.3.0新增 20180627 by wenjiaxin-->
    <dubbo:reference id="callbackRecord" interface="com.house365.ws.interfaces.server.ICustomerCallbackRecord"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <!-- end -->
    <dubbo:reference id="customerSource" interface="com.house365.ws.interfaces.server.ICustomerSource"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="statistic" interface="com.house365.ws.interfaces.server.IStatistic"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="projectSourceStatistics" interface="com.house365.ws.interfaces.server.IProjectSourceStatistics"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="userSourceStatistics" interface="com.house365.ws.interfaces.server.IUserSourceStatistics"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="deptSourceStatistics" interface="com.house365.ws.interfaces.server.IDeptSourceStatistics"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="statusSourceStatistics" interface="com.house365.ws.interfaces.server.IStatusSourceStatistics"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="dictionary" interface="com.house365.ws.interfaces.server.IDictionary"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="customerUser" interface="com.house365.ws.interfaces.server.ICustomerUser"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="userStar" interface="com.house365.ws.interfaces.server.IUserStar"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="localReport" interface="com.house365.ws.interfaces.server.ILocalReport"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="reportChannel" interface="com.house365.ws.interfaces.server.IReportChannel"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="reportChannelDepartRel" interface="com.house365.ws.interfaces.server.IReportChannelDepartRel"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="reportMarketing" interface="com.house365.ws.interfaces.server.IReportMarketing"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="cityDepConfig" interface="com.house365.ws.interfaces.server.ICityDepConfig"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="rushCustomerRule" interface="com.house365.ws.interfaces.server.IRushCustomerRule"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="rushCustomer" interface="com.house365.ws.interfaces.server.IRushCustomer"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="marketingActivity" interface="com.house365.ws.interfaces.server.IMarketingActivity"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="marketCustomer" interface="com.house365.ws.interfaces.server.IMarketCustomer"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="marketBuildingRel" interface="com.house365.ws.interfaces.server.IMarketBuildingRel"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="baseTree" interface="com.house365.ws.interfaces.server.IBaseTree"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="crmSource" interface="com.house365.ws.interfaces.server.ICrmSource"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="houseInfo" interface="com.house365.ws.interfaces.server.IHouseInfo"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="evaluateUserCustomerLog" interface="com.house365.ws.interfaces.server.IEvaluateUserCustomerLog"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="userProjectRecommend" interface="com.house365.ws.interfaces.server.IUserProjectRecommend"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <!-- 接口管理 end -->

    <!-- REST接口管理 start -->
    <dubbo:reference id="kefuAccIdByCity" interface="com.house365.ws.interfaces.rest.IKefuAccIdByCity"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="protectionPeriod" interface="com.house365.ws.interfaces.rest.IMProtection"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="managerByCustomerPhone" interface="com.house365.ws.interfaces.rest.IManagerByCustomerPhone"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="addPromoteCustomer" interface="com.house365.ws.interfaces.rest.IAddPromoteCustomer"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="getHomeConsultant" interface="com.house365.ws.interfaces.rest.IHomeConsultant"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="bindAccid" interface="com.house365.ws.interfaces.rest.IBindAccid"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="getLastVersion" interface="com.house365.ws.interfaces.rest.IGetLastVersion"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="addCustomer" interface="com.house365.ws.interfaces.rest.IAddCustomer"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="accidByName" interface="com.house365.ws.interfaces.rest.IAccidByName"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="userInfoById" interface="com.house365.ws.interfaces.rest.IUserInfoById"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="userInfoByPhone" interface="com.house365.ws.interfaces.rest.IUserInfoByPhone"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="addRushCustomer" interface="com.house365.ws.interfaces.rest.IAddRushCustomer"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="bindCustomer" interface="com.house365.ws.interfaces.rest.IBindCustomer"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="updateCustomerProjectStatus"
                     interface="com.house365.ws.interfaces.rest.IUpdateCustomerProjectStatus"
                     version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="validateUser" interface="com.house365.ws.interfaces.rest.IValidateUser"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="updateProjectInfo" interface="com.house365.ws.interfaces.rest.UpdateProjectInfo"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="customerStatistic" interface="com.house365.ws.interfaces.rest.ICRMStatisticInfo"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="statisticCustomer" interface="com.house365.ws.interfaces.rest.IStatisticCustomer"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="updateProtectDays" interface="com.house365.ws.interfaces.rest.IUpdateProtectDays"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="addHotlineCustomer" interface="com.house365.ws.interfaces.rest.IAddHotlineCustomer"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="addProgramCustomer" interface="com.house365.ws.interfaces.rest.IAddProgramCustomer"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <!--<dubbo:reference id="addCustomer4NewHouse" interface="com.house365.ws.interfaces.rest.IAddCustomer"-->
    <!--version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}" />-->

    <dubbo:reference id="receiveCallRecord" interface="com.house365.ws.interfaces.rest.IReceiveCallRecord"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="getUserRecommends" interface="com.house365.ws.interfaces.rest.IGetUserRecommends"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="getUserInfoByHouse" interface="com.house365.ws.interfaces.rest.IGetUserInfoByHouse"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="getEvaluationList" interface="com.house365.ws.interfaces.rest.IGetEvaluationList"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="reviewEvaluation" interface="com.house365.ws.interfaces.rest.IReviewEvaluation"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="delEvaluation" interface="com.house365.ws.interfaces.rest.IDelEvaluation"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="getAllUserInfo" interface="com.house365.ws.interfaces.rest.IGetAllUserInfo"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="getUserInfoById" interface="com.house365.ws.interfaces.rest.IGetUserInfoById"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="appHgsLogin" interface="com.house365.ws.interfaces.rest.IAppHgsLogin"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="getUserEvaluates" interface="com.house365.ws.interfaces.rest.IGetUserEvaluates"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="getUserEvaluation" interface="com.house365.ws.interfaces.rest.IGetUserEvaluation"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="getEvaluatesByCity" interface="com.house365.ws.interfaces.rest.IGetEvaluatesByCity"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="getUsersByCity" interface="com.house365.ws.interfaces.rest.IGetUsersByCity"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="getDirectIdsByCity" interface="com.house365.ws.interfaces.rest.IGetDirectIdsByCity"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="getCusForCRM" interface="com.house365.ws.interfaces.rest.ICrmVisitAndSignCustomers"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="getProjectRecommendListImpl"
                     interface="com.house365.ws.interfaces.rest.IGetProjectRecommendList"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="projectRecommendOperate" interface="com.house365.ws.interfaces.rest.IProjectRecommendOperate"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <!-- REST接口管理 end -->

    <!--  微信对接接口 -->
    <dubbo:reference id="userDetail" interface="com.house365.ws.interfaces.rest.IUsers" version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="departmentDetail" interface="com.house365.ws.interfaces.rest.IDepartments"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="wechatCustomer" interface="com.house365.ws.interfaces.rest.ICustomerWechat"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="wechatProject" interface="com.house365.ws.interfaces.rest.IProjectWechat"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="wechatUser" interface="com.house365.ws.interfaces.rest.IUserWechat"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="wechatNotice" interface="com.house365.ws.interfaces.rest.INoticeWechat"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>
    <dubbo:reference id="projectSaler" interface="com.house365.ws.interfaces.server.IProjectSaler"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="getRecommendList" interface="com.house365.ws.interfaces.rest.IGetRecommendList"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="updateRecommend" interface="com.house365.ws.interfaces.rest.IUpdateRecommend"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="updateUser" interface="com.house365.ws.interfaces.rest.IUpdateUser"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="bindUserToHouse" interface="com.house365.ws.interfaces.rest.IBindUserToHouse"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <!--资质修改接口-->
    <dubbo:reference id="operateAttachment" interface="com.house365.ws.interfaces.rest.IOperateAttachment"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="getAppUrl" interface="com.house365.ws.interfaces.rest.IGetAppUrl"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="getUsersByName" interface="com.house365.ws.interfaces.rest.IGetUsersByName"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="getRecommendByHouse" interface="com.house365.ws.interfaces.rest.IGetRecommendByHouse"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="saveMessage" interface="com.house365.ws.interfaces.rest.ISaveMessage"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="getUserInfo" interface="com.house365.ws.interfaces.rest.IGetUserInfo"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <!--导出excel-->
    <dubbo:reference id="exportExcel" interface="com.house365.ws.interfaces.server.IExportExcelInterface"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <!--城市外呼配置service-->
    <dubbo:reference id="cityCallConfig" interface="com.house365.ws.interfaces.server.ICityCallInterface"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <!--清洗数据，超时配置较长-->
    <dubbo:reference id="clearData" interface="com.house365.ws.interfaces.server.IClearData"
                     version="${dubbo.app.version}"
                     timeout="5000000" retries="${dubbo.app.retries}"/>

    <!--项目日志service-->
    <dubbo:reference id="projectLog" interface="com.house365.ws.interfaces.server.IProjectLogInterface"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <!--客户日志service-->
    <dubbo:reference id="customerLog" interface="com.house365.ws.interfaces.server.ICustomerLogInterface"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <!--更新项目合同号接口-->
    <dubbo:reference id="updateProjectCode" interface="com.house365.ws.interfaces.rest.IUpdateProjectCode"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <!--更新经管系统客户状态接口-->
    <dubbo:reference id="updateCustomerStatus" interface="com.house365.ws.interfaces.rest.IUpdateCustomerStatus"
                     version="${dubbo.app.version}" timeout="5000000" retries="${dubbo.app.retries}"/>

    <!--同步crm报名轨迹数据接口-->
    <dubbo:reference id="addSignUpTrack" interface="com.house365.ws.interfaces.rest.IAddSignUpTrackInterface"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <!--清洗customer_project表中contract字段接口-->
    <dubbo:reference id="updateCodeTask" interface="com.house365.ws.interfaces.rest.IUpdateCodeTaskInterface"
                     version="${dubbo.app.version}" timeout="5000000" retries="${dubbo.app.retries}"/>

    <!--同步云迹客户数据接口-->
    <dubbo:reference id="addCloudCustomer" interface="com.house365.ws.interfaces.rest.IAddCloudCustomer"
                     version="${dubbo.app.version}" timeout="5000000" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="CloudActivity" interface="com.house365.ws.interfaces.server.ICloudActivityInterface"
                     version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="cloudCustomer" interface="com.house365.ws.interfaces.server.ICloudCustomerInterface"
                     version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <!--获取项目列表接口-->
    <dubbo:reference id="getProjectList" interface="com.house365.ws.interfaces.rest.IGetProjectList"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="propertyReport" interface="com.house365.ws.interfaces.server.IPropertyReportInterface"
                     version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="reportAttach" interface="com.house365.ws.interfaces.server.IReportAttachInterface"
                     version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <!--获取置业报告详情接口-->
    <dubbo:reference id="getReport" interface="com.house365.ws.interfaces.rest.IGetReport"
                     version="${dubbo.app.version}" timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="externalCustomer" interface="com.house365.ws.interfaces.server.IExternalCustomerInterface"
                     version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="externalCusCallLog" interface="com.house365.ws.interfaces.server.IExternalCusCallLogInterface"
                     version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="externalCusLog" interface="com.house365.ws.interfaces.server.IExternalCusLogInterface"
                     version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <dubbo:reference id="cloudRule" interface="com.house365.ws.interfaces.server.ICloudRuleInterface"
                     version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <!--获取云迹定制项目列表接口-->
    <dubbo:reference id="getCloudRule" interface="com.house365.ws.interfaces.rest.IGetCloudRule"
                     version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <!--添加定制云迹数据接口-->
    <dubbo:reference id="addRuleCloudCus" interface="com.house365.ws.interfaces.rest.IAddRuleCloudCus"
                     version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <!--发送推广宝企业微信接口-->
    <dubbo:reference id="sendWxMs" interface="com.house365.ws.interfaces.rest.ISendWxInteface"
                     version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <!--更新用户上下线状态-->
    <dubbo:reference id="updateUserStatus" interface="com.house365.ws.interfaces.rest.IUpdateUserStatus"
                     version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <!--上下线用户信息新增接口-->
    <dubbo:reference id="saveNewMessage" interface="com.house365.ws.interfaces.rest.ISaveNewMessage"
                     version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <!--获取上下线用户信息接口-->
    <dubbo:reference id="getNewUserInfo" interface="com.house365.ws.interfaces.rest.IGetNewUserInfo"
                     version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>

    <!--获取Im accId信息接口-->
    <dubbo:reference id="getImUserInfo" interface="com.house365.ws.interfaces.rest.IGetImUserInfo"
                     version="${dubbo.app.version}"
                     timeout="${dubbo.app.timeout}" retries="${dubbo.app.retries}"/>


</beans>

